Package com.collabnet.ce.soap60.webservices.docman

# Class DocumentReviewSoapRow

java.lang.Object
com.collabnet.ce.soap60.webservices.docman.DocumentReviewSoapRow

public class DocumentReviewSoapRow extends Object
DocumentReviewList class represents the list of document reviews for a document.

Since:
  4.2

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `REVIEW_STATUS_CLOSED`
  `static final String`
  `REVIEW_STATUS_OPEN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocumentReviewSoapRow()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCreatedBy()`
  Returns 'createdBy'.
  `Date`
  `getDateCreated()`
  Returns 'dateCreated'.
  `String`
  `getDescription()`
  Returns 'description'.
  `String`
  `getDocumentId()`
  Returns 'documentId'.
  `Date`
  `getDueDate()`
  Returns 'dueDate'.
  `Date`
  `getEndDate()`
  Returns 'endDate'.
  `String`
  `getId()`
  Returns 'id'.
  `String[]`
  `getOptionalReviewersUsernames()`
  Returns 'optionalReviewersUsernames'.
  `String[]`
  `getRequiredReviewersUsernames()`
  Returns 'requiredReviewersUsernames'.
  `String`
  `getStatus()`
  Returns 'status'.
  `String`
  `getTitle()`
  Returns 'title'.
  `int`
  `getVersionNumber()`
  Returns 'versionNumber'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setCreatedBy(String createdBy)`
  Sets 'createdBy'.
  `void`
  `setDateCreated(Date dateCreated)`
  Sets 'dateCreated'.
  `void`
  `setDescription(String description)`
  Sets 'description'.
  `void`
  `setDocumentId(String documentId)`
  Sets 'documentId'.
  `void`
  `setDueDate(Date dueDate)`
  Sets 'dueDate'.
  `void`
  `setEndDate(Date endDate)`
  Sets 'endDate'.
  `void`
  `setId(String id)`
  Sets 'id'.
  `void`
  `setOptionalReviewersUsernames(String[] optionalReviewersUsernames)`
  Sets 'optionalReviewersUsernames'.
  `void`
  `setRequiredReviewersUsernames(String[] requiredReviewersUsernames)`
  Sets 'requiredReviewersUsernames'.
  `void`
  `setStatus(String status)`
  Sets 'status'.
  `void`
  `setTitle(String title)`
  Sets 'title'.
  `void`
  `setVersionNumber(int versionNumber)`
  Sets 'versionNumber'.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### REVIEW_STATUS_OPEN

    public static final String REVIEW_STATUS_OPEN
    See Also:
      - Constant Field Values

  - ### REVIEW_STATUS_CLOSED

    public static final String REVIEW_STATUS_CLOSED
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DocumentReviewSoapRow

    public DocumentReviewSoapRow()

- ## Method Details

  - ### getId

    public String getId()
    Returns 'id'.
    Returns:
      Value of 'id'.

  - ### setId

    public void setId(String id)
    Sets 'id'.
    Parameters:
      `id` - Value of 'id'.

  - ### getDocumentId

    public String getDocumentId()
    Returns 'documentId'.
    Returns:
      Value of 'documentId'.

  - ### setDocumentId

    public void setDocumentId(String documentId)
    Sets 'documentId'.
    Parameters:
      `documentId` - Value of 'documentId'.

  - ### getVersionNumber

    public int getVersionNumber()
    Returns 'versionNumber'. The version number of the document
    Returns:
      Value of 'versionNumber'.

  - ### setVersionNumber

    public void setVersionNumber(int versionNumber)
    Sets 'versionNumber'. The version number of the document
    Parameters:
      `versionNumber` - Value of 'versionNumber'.

  - ### getTitle

    public String getTitle()
    Returns 'title'. The title of the document review
    Returns:
      Value of 'title'.

  - ### setTitle

    public void setTitle(String title)
    Sets 'title'. The title of the document review
    Parameters:
      `title` - Value of 'title'.

  - ### getDescription

    public String getDescription()
    Returns 'description'. The description of the document review
    Returns:
      Value of 'description'.

  - ### setDescription

    public void setDescription(String description)
    Sets 'description'. The description of the document review
    Parameters:
      `description` - Value of 'description'.

  - ### getDueDate

    public Date getDueDate()
    Returns 'dueDate'. The date this review is due.
    Returns:
      Value of 'dueDate'.

  - ### setDueDate

    public void setDueDate(Date dueDate)
    Sets 'dueDate'. The date this review is due.
    Parameters:
      `dueDate` - Value of 'dueDate'.

  - ### getEndDate

    public Date getEndDate()
    Returns 'endDate'. The date review was closed.
    Returns:
      Value of 'endDate'.

  - ### setEndDate

    public void setEndDate(Date endDate)
    Sets 'endDate'. The date review was closed.
    Parameters:
      `endDate` - Value of 'endDate'.

  - ### getStatus

    public String getStatus()
    Returns 'status'. The status of this review.
    Returns:
      Value of 'status'.

  - ### setStatus

    public void setStatus(String status)
    Sets 'status'. The status of this review.
    Parameters:
      `status` - Value of 'status'.

  - ### getRequiredReviewersUsernames

    public String[] getRequiredReviewersUsernames()
    Returns 'requiredReviewersUsernames'. The usernames of the required reviewers
    Returns:
      Value of 'requiredReviewersUsernames'.

  - ### setRequiredReviewersUsernames

    public void setRequiredReviewersUsernames(String[] requiredReviewersUsernames)
    Sets 'requiredReviewersUsernames'. The usernames of the required reviewers
    Parameters:
      `requiredReviewersUsernames` - Value of 'requiredReviewersUsernames'.

  - ### getOptionalReviewersUsernames

    public String[] getOptionalReviewersUsernames()
    Returns 'optionalReviewersUsernames'. The usernames of the optional reviewers
    Returns:
      Value of 'optionalReviewersUsernames'.

  - ### setOptionalReviewersUsernames

    public void setOptionalReviewersUsernames(String[] optionalReviewersUsernames)
    Sets 'optionalReviewersUsernames'. The usernames of the optional reviewers
    Parameters:
      `optionalReviewersUsernames` - Value of 'optionalReviewersUsernames'.

  - ### getCreatedBy

    public String getCreatedBy()
    Returns 'createdBy'. Name of the user this review was created by.
    Returns:
      Value of 'createdBy'.

  - ### setCreatedBy

    public void setCreatedBy(String createdBy)
    Sets 'createdBy'. Name of the user this review was created by.
    Parameters:
      `createdBy` - Value of 'createdBy'.

  - ### getDateCreated

    public Date getDateCreated()
    Returns 'dateCreated'. Date this review was created.
    Returns:
      Value of 'dateCreated'.

  - ### setDateCreated

    public void setDateCreated(Date dateCreated)
    Sets 'dateCreated'. Date this review was created.
    Parameters:
      `dateCreated` - Value of 'dateCreated'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)